# ID list module
[Basic Stuff]

A list of GWEN_TYPE_UINT32 objects. More...

## Functions

int | GWEN_IdList_AddId (GWEN_IDLIST *idl, GWEN_TYPE_UINT32 id)
void | GWEN_IdList_Clear (GWEN_IDLIST *idl)
int | GWEN_IdList_DelId (GWEN_IDLIST *idl, GWEN_TYPE_UINT32 id)
GWEN_IDLIST * | GWEN_IdList_dup (const GWEN_IDLIST *idl)
void | GWEN_IdList_free (GWEN_IDLIST *idl)
GWEN_TYPE_UINT32 | GWEN_IdList_GetFirstId (GWEN_IDLIST *idl)
GWEN_TYPE_UINT32 | GWEN_IdList_GetNextId (GWEN_IDLIST *idl)
int | GWEN_IdList_HasId (const GWEN_IDLIST *idl, GWEN_TYPE_UINT32 id)
GWEN_IDLIST * | GWEN_IdList_new ()
int | GWEN_IdList_Sort (GWEN_IDLIST *idl)

## Detailed Description

A list of GWEN_TYPE_UINT32 objects.

This is basically a list for GWEN_TYPE_UINT32 objects, but since it uses tables instead of those list objects normally used throughout Gwen it is less memory consuming.

## Function Documentation

int GWEN_IdList_AddId | ( | GWEN_IDLIST * | idl,
|  | GWEN_TYPE_UINT32 | id
| ) |

| Adds an id to the list. This function does no doublecheck.

void GWEN_IdList_Clear | ( | GWEN_IDLIST * | idl | ) |

| Removes all ids from the list thus leaving it empty.

int GWEN_IdList_DelId | ( | GWEN_IDLIST * | idl,
|  | GWEN_TYPE_UINT32 | id
| ) |

Removes the first occurrence of the given id.

Returns:
  0 if deleted, !=0 if the id wasn't found

GWEN_IDLIST* GWEN_IdList_dup | ( | const GWEN_IDLIST * | idl | ) |

| Returns a new id list which contains all the ids of the given list in the same order. However, the list returned is compact (i.e. it has no wholes).

void GWEN_IdList_free | ( | GWEN_IDLIST * | idl | ) |

| Destructor.

GWEN_TYPE_UINT32 GWEN_IdList_GetFirstId | ( | GWEN_IDLIST * | idl | ) |

| Returns the first id from the list.

GWEN_TYPE_UINT32 GWEN_IdList_GetNextId | ( | GWEN_IDLIST * | idl | ) |

int GWEN_IdList_HasId | ( | const GWEN_IDLIST * | idl,
|  | GWEN_TYPE_UINT32 | id
| ) |

Checks whether the given id exists in the idlist.

Returns:
  0 if found, !=0 otherwise

GWEN_IDLIST* GWEN_IdList_new | ( |  | ) |

| Constructor.

int GWEN_IdList_Sort | ( | GWEN_IDLIST * | idl | ) |

| Sorts the ids in ascending order